# Class yii\db\QueryExpressionBuilder

Inheritance | yii\db\QueryExpressionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/QueryExpressionBuilder.php

Class QueryExpressionBuilder is used internally to build yii\db\Query object using unified yii\db\QueryBuilder expression building interface.

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\QueryExpressionBuilder

## Method Details

build() public method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface|yii\db\Query | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.